
/* =======================================
   Global Overrides and Resets
   ======================================= */
body.theme-dark *:focus-visible {
    box-shadow: 0 0 0 .25rem var(--TA-focusvisible-darktheme);
}
body.theme-dark {
    background: rgb(var(--TA-background-gray-darkest));
    color: rgb(var(--TA-textcolor-gray-light));
}
body.theme-dark a,
body.theme-dark a:active,
body.theme-dark a:visited,
body.theme-dark a:focus,
body.theme-dark a:focus-visible {
    color: rgb(var(--TA-linkcolor-gray-light));
}
body.theme-dark a:hover {
    color: rgb(var(--TA-linkcolor-gray-lighter));
}
body.theme-dark a>svg {
    fill: rgb(var(--TA-linkcolor-gray-light));
}
body.theme-dark a:hover>svg {
    fill: rgb(var(--TA-linkcolor-gray-lighter));
}

body.theme-dark .border,
body.theme-dark .border-start,
body.theme-dark .border-end,
body.theme-dark .border-bottom,
body.theme-dark .border-top {
    border-color: rgb(var(--TA-border-gray-medium)) !important; /* boostrap override */
}

body.theme-dark button.btn:hover,
body.theme-dark button.btn:focus-visible,
body.theme-dark button:hover,
body.theme-dark button:focus-visible {
    background: rgb(var(--TA-background-gray-darker));
}
body.theme-dark button.btn:focus-visible,
body.theme-dark button:focus-visible {
    box-shadow: 0 0 0 .25rem var(--TA-focusvisible-darktheme);
}
body.theme-dark input,
body.theme-dark input:focus-visible,
body.theme-dark input::placeholder,
body.theme-dark select,
body.theme-dark checkbox,
body.theme-dark textarea {
    background: rgb(var(--TA-background-gray-medium));
    color: rgb(var(--TA-textcolor-gray-darkest));
}
body.theme-dark .form-control {
    border-color: rgb(var(--TA-border-gray-medium));
}

/* =======================================
   Component: Header
   ======================================= */
body.theme-dark header#site-header button.btn {
    color: rgb(var(--TA-linkcolor-gray-light));
}

/* =======================================
   Component: Header Top
   ======================================= */

body.theme-dark header#site-header .header-top {
    background: rgb(var(--TA-background-gray-darkest));
}

body.theme-dark header#site-header .header-top a.navbar-brand img#logo-img {
    filter: contrast(0) brightness(0) invert(0.9);
}

body.theme-dark header#site-header .header-top .navbar .navbar-toggler:focus-visible {
    box-shadow: inset 0px 0px 0px 3px var(--TA-focusvisible-darktheme);
}

body.theme-dark header#site-header .header-top .navbar-toggler .custom-toggler .line {
    background-color: rgb(var(--TA-linkcolor-gray-light));
}

/* =======================================
   Component: Header Bottom
   ======================================= */

body.theme-dark header#site-header .header-bottom {
    background: rgb(var(--TA-background-gray-darker));
}
/*
body.theme-dark header#site-header .header-bottom .theme-toggler {
    
}*/
body.theme-dark header#site-header .header-bottom ul.navbar-nav a,
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:active,
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:visited,
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:focus,
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:focus-visible {
    color: rgb(var(--TA-linkcolor-gray-light));
}
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:focus-visible {
    box-shadow: inset 0 0 0 .25rem var(--TA-focusvisible-darktheme);
}
body.theme-dark header#site-header .header-bottom ul.navbar-nav a:hover {
    color: rgb(var(--TA-linkcolor-gray-lighter));
}
body.theme-dark header#site-header .header-bottom ul.navbar-nav .submenu-toggler i.bi {
    color: rgb(var(--TA-linkcolor-gray-light));
}
body.theme-dark header#site-header .header-bottom ul.navbar-nav .submenu-toggler:focus-visible {
    box-shadow: inset 0 0 0 .25rem var(--TA-focusvisible-darktheme);
}
body.theme-dark header#site-header .header-bottom .dropdown .dropdown-menu {
    background: rgb(var(--TA-background-gray-darker));
}
body.theme-dark header#site-header .header-bottom .dropdown .dropdown-menu li a:hover {
    background: rgb(var(--TA-background-gray-darker));
}

body.theme-dark header#site-header .header-bottom ul.navbar-nav>li.nav-item {
    border-color: rgb(var(--TA-border-gray-dark));
}

body.theme-dark header#site-header .header-bottom ul.navbar-nav>li.nav-item>ul.dropdown-menu>li.nav-item {
    border-color: rgb(var(--TA-border-gray-medium));
    background: rgb(var(--TA-background-gray-darkest));
}

/* =======================================
   Media Query: Desktop only
   ======================================= */

@media (min-width: 62rem) {   
    body.theme-dark header#site-header .header-bottom .dropdown .dropdown-menu {
        border-color: rgb(var(--TA-border-gray-medium));
    }
    body.theme-dark header#site-header .header-bottom ul.navbar-nav li.dropdown ul.dropdown-menu>li.nav-item a:focus-visible {
        box-shadow: inset 0 0 0 .25rem var(--TA-focusvisible-darktheme);
    }
    body.theme-dark header#site-header .header-bottom ul.navbar-nav li.nav-item>ul.dropdown-menu.show>li.nav-item.nav-item-last a,
    body.theme-dark header#site-header .header-bottom ul.navbar-nav li.dropdown:hover ul.dropdown-menu>li.nav-item.nav-item-last a,
    body.theme-dark header#site-header .header-bottom ul.navbar-nav li.dropdown:has(:focus-visible) ul.dropdown-menu>li.nav-item.nav-item-last a {
        border-bottom-color: rgb(var(--TA-border-gray-medium));
    }
}